Current map is mp_stadt_dm

Name:Jessie & Girls {3} {home of -=*BuR*=- {bLoOdY uLtImAtE rEvEnGe}
Server address:burmohaash3.game.nfoservers.com:12203
Server IP:192.223.27.222:12203
Game:MoHAA: Spearhead
Current map:mp_stadt_dm
Current players:26 / 26
Currently locked?No

These players are currently connected:

Player name Ping Frags
>>>WEST-COAST<<<1012
Blackie1082
Dark_Quarterer1432
EL_KEKER1982
Javier1502
P_E_R_R_O1892
Punk512
clownpierce1502
dawn,s delight1262
{A}-=*BuR*=-Costa462
{A}-=*BuR*=-Pl@typus1002
{SA}-=*BuR*=-Lili502
-=*BuR*=-Cmoke481
-=*BuR*=-putty481
BEN.......QC461
Gravin501
Kid_Charlemagne501
Paulus881
Roxy_231531
Stanpilos981
flayman551791
maverick731
millions1001
{R}-=*BuR*=-Jochen8000